Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind
Class JAXBException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.bind.JAXBException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MarshalException, PropertyException, UnmarshalException, ValidationException

public class JAXBException
extends java.lang.Exception

This is the root exception class for all JAXB exceptions.

Since:
  JAXB1.0
Version:
  $Revision: 1.1 $ $Date: 2008/11/03 06:51:02 $
Author:
  - Ryan Shoemaker, Sun Microsystems, Inc.
See Also:
  `JAXBContext`, `Marshaller`, `Unmarshaller`, Serialized Form

Constructor Summary
`JAXBException(java.lang.String message)` Construct a JAXBException with the specified detail message.
`JAXBException(java.lang.String message, java.lang.String errorCode)` Construct a JAXBException with the specified detail message and vendor specific errorCode.
`JAXBException(java.lang.String message, java.lang.String errorCode, java.lang.Throwable exception)` Construct a JAXBException with the specified detail message, vendor specific errorCode, and linkedException.
`JAXBException(java.lang.String message, java.lang.Throwable exception)` Construct a JAXBException with the specified detail message and linkedException.
`JAXBException(java.lang.Throwable exception)` Construct a JAXBException with a linkedException.

Method Summary
`java.lang.String` | `getErrorCode()` Get the vendor specific error code
`java.lang.Throwable` | `getLinkedException()` Get the linked exception
`void` | `printStackTrace()` Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to `System.err`.
`void` | `printStackTrace(java.io.PrintStream s)` Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintStream.
`void` | `printStackTrace(java.io.PrintWriter s)` Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintWriter.
`void` | `setLinkedException(java.lang.Throwable exception)` Add a linked Exception.
`java.lang.String` | `toString()` Returns a short description of this JAXBException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAXBException

    public JAXBException(java.lang.String message)

  Construct a JAXBException with the specified detail message. The errorCode and linkedException will default to null.

Parameters:
  `message` - a description of the exception

### JAXBException

    public JAXBException(java.lang.String message,
                         java.lang.String errorCode)

  Construct a JAXBException with the specified detail message and vendor specific errorCode. The linkedException will default to null.

Parameters:
  `message` - a description of the exception
  `errorCode` - a string specifying the vendor specific error code

### JAXBException

    public JAXBException(java.lang.Throwable exception)

  Construct a JAXBException with a linkedException. The detail message and vendor specific errorCode will default to null.

Parameters:
  `exception` - the linked exception

### JAXBException

    public JAXBException(java.lang.String message,
                         java.lang.Throwable exception)

  Construct a JAXBException with the specified detail message and linkedException. The errorCode will default to null.

Parameters:
  `message` - a description of the exception
  `exception` - the linked exception

### JAXBException

    public JAXBException(java.lang.String message,
                         java.lang.String errorCode,
                         java.lang.Throwable exception)

  Construct a JAXBException with the specified detail message, vendor specific errorCode, and linkedException.

Parameters:
  `message` - a description of the exception
  `errorCode` - a string specifying the vendor specific error code
  `exception` - the linked exception

Method Detail

### getErrorCode

    public java.lang.String getErrorCode()

  Get the vendor specific error code

  Returns:
    a string specifying the vendor specific error code

### getLinkedException

    public java.lang.Throwable getLinkedException()

  Get the linked exception

  Returns:
    the linked Exception, null if none exists

### setLinkedException

    public void setLinkedException(java.lang.Throwable exception)

  Add a linked Exception.

  Parameters:
    `exception` - the linked Exception (A null value is permitted and indicates that the linked exception does not exist or is unknown).

### toString

    public java.lang.String toString()

  Returns a short description of this JAXBException.

  Overrides:
    `toString` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintStream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - PrintStream to use for output

### printStackTrace

    public void printStackTrace()

  Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to `System.err`.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintWriter.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - PrintWriter to use for output

Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Comments to: jaxb-spec-comments@sun.com
More information at: http://java.sun.com/xml/jaxb

Copyright © 2001 by Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.